/**
 * Funciones comunes JavaScript para el proyecto MyHealth
 * 
 * 
 */

// Gestiona la ventana de login
function handleLoginRequest(xhr, status, args) {
	if (args.validationFailed || !args.loggedIn) {
		PF('dlgLogin').jq.effect("shake", {
			times : 5
		}, 100);
		PF('btnLogin').enable();
	} else {
		PF('btnLogin').enable();
		PF('dlgLogin').hide();
	}
}

// Tras empezar la petición AJAX de login desabilita el botón para evitar doble login
function startLogin() {
	PF('btnLogin').disable();
}

// Valida si un NIF está duplicado.
function handleNIFResponse(xhr, status, args) {
	var nif = PF('nifButton');
	if (args.NIFisDupe == false) {
		nif.jq.children(".ui-icon").removeClass("pi pi-times");
		nif.jq.removeClass('red-button');

		nif.jq.children(".ui-icon").addClass("pi pi-check");
		nif.jq.addClass('green-button');
	} else if (nif.jq.hasClass('red-button') == false) {
		nif.jq.children(".ui-icon").removeClass("pi pi-check");
		nif.jq.removeClass('green-button');

		nif.jq.children(".ui-icon").addClass("pi pi-times");
		nif.jq.addClass('red-button');
	}
}